#include <directfb.h>

#include <stdio.h>
#include <unistd.h>

#include "cst.h"
#include "cst_dfb_common.h"
#include "cst_string.h"

static HBG_t hBackground = {
	.img	= RESOURCE_DIR"background.jpg",
};

int
CSTEndWindow_PrepareResource(void)
{
	CSTFUNC();

	CSTDFBCommon_CreateBackground(&hBackground, hBackground.img);
	return 0;
}

void
CSTEndWindow_ReleaseResource(void)
{
	CSTDFBCommon_ReleaseBackground(&hBackground);
}

int
CSTEndWindow_Create(void)
{
	int posx = VPOSX(5);
	int posy = cstfont_s.NextLineOffset + VPOSY(1 + 5);;

	CSTFUNC();

	CSTDFBCommon_DrawString(hBackground.master_sf, &cstfont_l,
				CSTFONT_WHITE, CST_STR_THANK, posx, posy);

	CSTDFBCommon_UpdateBackground(&hBackground);

	return 0;
}

int
CSTEndWindow_Wait(int val)
{
	if (val)
		CSTDFBCommon_PopupMsg(&hBackground, 340, CST_STR_DISK, 4);
	else
		sleep(4);

	return 0;
}
