
#ifndef _CST_SURVEY_H_
#define _CST_SURVEY_H_

enum {
	QAFLAG_SINGLE = 1,	/* single selection */
	QAFLAG_MULTI = 2,	/* multiple selection */
	QAFLAG_NEXT = 4,
	QAFLAG_JUMP = 8,
};

#define QA_MSG_SIZE	(64)
#define NR_QA_ANSWER	(12)

typedef struct survey_qa_param {
	int flag;
	int sheet;
} SQAParam_t;

typedef struct survey_qa {
	char msg[QA_MSG_SIZE];
	struct survey_qa_param param;
	char result;
} SQA_t;

typedef struct survey_sheet {
	struct survey_sheet *next;

	unsigned int id;

	struct survey_qa question;
	struct survey_qa answer[NR_QA_ANSWER];
	struct survey_qa_param default_action;

	int nr_answer;
} SSheet_t;

extern int CSTSurvey_ParseFile(char *file);
extern SSheet_t *CSTSurvey_GetSheetInfo(unsigned int sheet_id);
extern int CSTSurvey_GetTopSheetID(void);

#endif /* _CST_SURVEY_H_ */
